Bug 175784 - security/clamav should be set to USE_GCC=any
security/clamav should be set to USE_GCC=any
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Renato Botelho
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-02 20:20 UTC by Tom Judge
Modified: 2013-02-11 01:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Judge freebsd_committer 2013-02-02 20:20:00 UTC
ClamAV's detection is not tested when compiled with clang, and the next release will be broken with clang.  Please mark the port as requiring gcc with USE_GCC=any.
Comment 1 Mark Linimon freebsd_committer 2013-02-03 02:00:36 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Edwin Groothuis freebsd_committer 2013-02-03 02:01:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 Renato Botelho freebsd_committer 2013-02-09 11:11:28 UTC
State Changed
From-To: open->feedback

What did you mean by "clamav's detection is not tested when compiled 
with clang"?  Could you please provide more details about how to 
reproduce the issue? 

Next version was fixed to build with clang (see bug 6671).
Comment 4 dfilter freebsd_committer 2013-02-11 00:56:29 UTC
Author: garga
Date: Mon Feb 11 00:56:21 2013
New Revision: 312036
URL: http://svnweb.freebsd.org/changeset/ports/312036

Log:
  Remove patches to build with clang and force clamav and clamav-devel to use GCC.
  According clamav developers ClamAV's detection is not tested when compiled with
  clang.
  
  PR:		ports/175784
  Submitted by:	tj@

Deleted:
  head/security/clamav-devel/files/patch-b__libclamav__tomsfastmath__mont__fp_montgomery_reduce.c
  head/security/clamav-devel/files/patch-b__libclamav__tomsfastmath__mul__fp_mul_comba.c
  head/security/clamav-devel/files/patch-b__libclamav__tomsfastmath__sqr__fp_sqr_comba.c
Modified:
  head/security/clamav-devel/Makefile
  head/security/clamav/Makefile

Modified: head/security/clamav-devel/Makefile
==============================================================================
--- head/security/clamav-devel/Makefile	Sun Feb 10 17:23:55 2013	(r312035)
+++ head/security/clamav-devel/Makefile	Mon Feb 11 00:56:21 2013	(r312036)
@@ -32,6 +32,7 @@ GNU_CONFIGURE=	yes
 MAKE_JOBS_SAFE=	yes
 USE_LDCONFIG=	yes
 USE_GMAKE=	yes
+USE_GCC=	any
 USE_RC_SUBR=	clamav-clamd clamav-freshclam
 CLAM_CONF_FILES=	clamd freshclam
 

Modified: head/security/clamav/Makefile
==============================================================================
--- head/security/clamav/Makefile	Sun Feb 10 17:23:55 2013	(r312035)
+++ head/security/clamav/Makefile	Mon Feb 11 00:56:21 2013	(r312036)
@@ -30,6 +30,7 @@ OPTIONS_DEFAULT=	ARC ARJ LHA UNZOO UNRAR
 GNU_CONFIGURE=	yes
 MAKE_JOBS_SAFE=	yes
 USE_LDCONFIG=	yes
+USE_GCC=	any
 USE_RC_SUBR=	clamav-clamd clamav-freshclam
 CLAM_CONF_FILES=	clamd freshclam
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Renato Botelho freebsd_committer 2013-02-11 00:56:57 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!